Bug 172115

Summary: no dbus interface to control presentations and save previews of slides
Product: calligrastage Reporter: James Hogan <james>
Component: generalAssignee: T Zachmann <t.zachmann>
Status: RESOLVED FIXED    
Severity: wishlist    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Fedora RPMs   
OS: Unspecified   
Latest Commit: Version Fixed In:
Attachments: Patch against 2.0.0 release
Patch against trunk (rev 983445)

Description James Hogan 2008-10-03 23:25:05 UTC
Version:           2.0 beta-1 (using KDE 4.1.1)
Installed from:    Fedora RPMs

After opening a simple presentation in kpresenter 2.0 beta-1, I opened kdbus, and could only find generic koffice interfaces exposed by kpresenter.

In kpresenter 1.$whatever I was able to do the following using DCOP:
* start / stop presentation
* get number of slides, current slide, number of steps, current step
* next/previous step, go to specific slide
* save a preview of a page in a certain size and format to an image file

it would also be great to have signals for when the slide/step changes (e.g. automatically) or is started/stopped by the user.

The reason I would like this functionality is to allow for integration of kpresenter 2 into the church worship/presentation program I'm developing which can be found at http://kworship.org
Comment 1 James Hogan 2008-10-03 23:31:47 UTC
I'm going to look into implementing this myself and see if I get anywhere :-P
Comment 2 James Hogan 2009-06-18 03:22:09 UTC
Created attachment 34622 [details]
Patch against 2.0.0 release

Here's the patch.
There are no changes from the latest one posted on mailing list (ages ago), except it's based on 2.0.0 and fixes a couple of compile errors which have cropped up since (I'm guessing due to qt3 style stuff being deprecated).
Comment 3 T Zachmann 2009-06-18 05:42:24 UTC
It would be nice if you could provide a patch against trunk. That will make it easier for me to integrate into trunk.
Comment 4 James Hogan 2009-06-18 16:20:24 UTC
Created attachment 34631 [details]
Patch against trunk (rev 983445)

Sure, no problem. here's the patch against trunk.
Comment 5 T Zachmann 2009-06-20 07:29:15 UTC
SVN commit 984130 by zachmann:

o Add dbus support to kpresenter for the following:

  * start / stop presentation
  * get number of slides, current slide, number of steps, current step
  * next/previous step, go to specific slide
  * save a preview of a page in a certain size and format to an image
    file
  * signals for when the slide/step changes

Thanks to James Hogan for implementing the feature.

CCMAIL: james@albanarts.com
BUG: 172115



 M  +1 -0      kpresenter/part/CMakeLists.txt  
 M  +15 -0     kpresenter/part/KPrAnimationDirector.cpp  
 M  +15 -0     kpresenter/part/KPrAnimationDirector.h  
 M  +5 -1      kpresenter/part/KPrDocument.cpp  
 M  +15 -0     kpresenter/part/KPrDocument.h  
 M  +30 -2     kpresenter/part/KPrView.cpp  
 M  +40 -2     kpresenter/part/KPrView.h  
 M  +48 -0     kpresenter/part/KPrViewModePresentation.cpp  
 M  +57 -0     kpresenter/part/KPrViewModePresentation.h  
 M  +42 -0     libs/kopageapp/KoPAView.cpp  
 M  +18 -0     libs/kopageapp/KoPAView.h  
 M  +14 -0     libs/main/KoApplication.h  
 M  +11 -0     libs/main/KoApplicationAdaptor.h  
 M  +15 -0     libs/main/KoDocument.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=984130